Create chat
curl --request POST \
--url https://api.upon-ai.com/api/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": 42,
"agent_id": "chat_agent_01hzk4q6dr3n0d4qzpw9z6gth6",
"metadata": {
"source": "website",
"page": "/pricing"
},
"uponai_dynamic_variables": {
"customer_tier": "enterprise"
}
}
'import requests
url = "https://api.upon-ai.com/api/chats"
payload = {
"workspaceId": 42,
"agent_id": "chat_agent_01hzk4q6dr3n0d4qzpw9z6gth6",
"metadata": {
"source": "website",
"page": "/pricing"
},
"uponai_dynamic_variables": { "customer_tier": "enterprise" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 42,
agent_id: 'chat_agent_01hzk4q6dr3n0d4qzpw9z6gth6',
metadata: {source: 'website', page: '/pricing'},
uponai_dynamic_variables: {customer_tier: 'enterprise'}
})
};
fetch('https://api.upon-ai.com/api/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chatId": "<string>",
"agentId": "<string>",
"version": 123,
"status": "<string>",
"type": "web_chat",
"metadata": {},
"customAttributes": {},
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"transcript": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{}
]
}
],
"chatCost": {},
"chatAnalysis": {},
"collectedDynamicVariables": {},
"uponai_dynamic_variables": {},
"overrideDynamicVariables": {}
}Chats
Create chat
Start a new live chat session backed by a chat agent.
POST
/
api
/
chats
Create chat
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Body
application/json
Response
201 - application/json
Chat created.
Example:
"web_chat"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I